ESX 3.5 had been released and available to be downloaded from here.

VMware highly recommend to perform upgrade to vCenter 2.5 update 4 to support the ESX 3.5 update 4. ESX 3.5 update 4 will require vmtools to be upgraded too.

For more information, please visit to the official release note from VMware.